count_w_connected_cmpts {DiagrammeR} | R Documentation

## Get the number of weakly-connected components

### Description

Get the number of weakly-connected components in the graph.

### Usage

    count_w_connected_cmpts(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single integer value representing the number of weakly-connected graph components.

### Examples

    # Create a cycle graph
    graph <-
      create_graph() %>%
      add_cycle(n = 5) %>%
      add_cycle(n = 5)

    # Get a count of weakly-connected
    # components in the graph
    graph %>%
      count_w_connected_cmpts()

[Package DiagrammeR version 1.0.1 Index]